//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "App_Commands.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
namespace App_commands {
//---------------------------------------------------------------------------
__fastcall TEditCommand::TEditCommand() :
	TCommand(),
	FDescription()
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TEditCommand::~TEditCommand()
{
	// Do nothing
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
void __fastcall TMultiEditCommand::Initialize()
{
	try {
		FInvoker = new TInvoker();
	}
	catch(...) {
		Uninitialize();
		throw;
	}
}
//---------------------------------------------------------------------------
void __fastcall TMultiEditCommand::Uninitialize()
{
	delete FInvoker;
	FInvoker = NULL;
}
//---------------------------------------------------------------------------
__fastcall TMultiEditCommand::TMultiEditCommand() :
	TEditCommand(),
	FInvoker(NULL)
{
	Initialize();
}
//---------------------------------------------------------------------------
__fastcall TMultiEditCommand::~TMultiEditCommand()
{
	Uninitialize();
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
__fastcall TGrowSubCommand::TGrowSubCommand() :
	TEditCommand(),
	FIndex(-1),
	FItem(NULL),
	FOwnItem(false)
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TGrowSubCommand::~TGrowSubCommand()
{
	if(OwnItem) {
		delete FItem;
		FItem = NULL;
	}
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
__fastcall TReorderSubCommand::TReorderSubCommand() :
	TEditCommand(),
	FIndex1(-1),
	FIndex2(-1)
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TReorderSubCommand::~TReorderSubCommand()
{
	// Do nothing
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
__fastcall TSetNamePropertySubCommand::TSetNamePropertySubCommand() :
	TEditCommand(),
	FItem(NULL),
	FValue()
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TSetNamePropertySubCommand::~TSetNamePropertySubCommand()
{
	// Do nothing
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
__fastcall TSetWriteProtectedPropertySubCommand::TSetWriteProtectedPropertySubCommand() :
	TEditCommand(),
	FItem(NULL),
	FValue(-1)
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TSetWriteProtectedPropertySubCommand::~TSetWriteProtectedPropertySubCommand()
{
	// Do nothing
}
//---------------------------------------------------------------------------
} // End namespace App_commands
//---------------------------------------------------------------------------

