//----------------------------------------------------------------------------
#ifndef App_PresetsDialogH
#define App_PresetsDialogH
//----------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
//----------------------------------------------------------------------------
class TAppPresetsDialog : public TForm
{
__published:
	TButton* CancelButton;
	TButton* OkButton;
	TListBox* ListBox11;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
private:
	static const AnsiString ListPath;
	TDiskImageSpec FValues;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall LoadList();
	void __fastcall HandleListUnavailable();
	void __fastcall HandleInvalidInput(const AnsiString& AMessage, TWinControl* AControl);
	TDiskImageSpec __fastcall GetInputs();
	__property TDiskImageSpec Inputs = {read=GetInputs};
protected:
	DYNAMIC void __fastcall DoShow();
	DYNAMIC void __fastcall DoHide();
public:
	static void __fastcall EnsureCreated();
	__fastcall TAppPresetsDialog(TComponent* AOwner);
	virtual __fastcall ~TAppPresetsDialog();
	virtual bool __fastcall Execute();
	__property TDiskImageSpec Values = {read=FValues};
};
//----------------------------------------------------------------------------
extern PACKAGE TAppPresetsDialog* AppPresetsDialog;
//----------------------------------------------------------------------------
#endif

