//---------------------------------------------------------------------------
#ifndef App_MainFormH
#define App_MainFormH
//---------------------------------------------------------------------------
#include <ActnList.hpp>
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include "App_Actions.h"
#include "App_FileHandler.h"
#include "App_Handler.h"
#include "App_HelpHandler.h"
#include "App_SettingsHandler.h"
#include "App_SystemHandler.h"
#include "App_ViewHandler.h"
#include "Moa_FileDrop.h"
#include "Moa_ListViews.h"
#include "Moa_Windows.h"
//---------------------------------------------------------------------------
class TAppMainForm : public TForm
{
__published:
	TAction* EditDeleteAction;
	TAction* EditDuplicateAction;
	TAction* EditRedoAction;
	TAction* EditReverseSelectionAction;
	TAction* EditSelectAllAction;
	TAction* EditUndoAction;
	TAction* FileAddExistentAction;
	TAction* FileAddNewAction;
	TAction* FileBackUpAction;
	TAction* FileBackUpOnSaveAction;
	TAction* FileExitAction;
	TAction* FileNewAction;
	TAction* FileOpenAction;
	TAction* FileSaveAction;
	TAction* FileSaveAsAction;
	TAction* FileSaveToMultipleFilesAction;
	TAction* FileSaveToSingleFileAction;
	TAction* FormFormAction;
	TAction* FormStatusBar1Action;
	TAction* HelpAboutAction;
	TAction* HelpContentsAction;
	TAction* PropertiesNameCopyAction;
	TAction* PropertiesNameEnterAction;
	TAction* PropertiesNamePasteAction;
	TAction* PropertiesSizeSumAction;
	TAction* PropertiesWriteProtectedSetToNoAction;
	TAction* PropertiesWriteProtectedSetToYesAction;
	TAction* PropertiesWriteProtectedToggleAction;
	TAction* ViewMoveDownAction;
	TAction* ViewMoveUpAction;
	TAction* ViewReverseOrderAction;
	TAction* ViewRowSelectAction;
	TAction* ViewSortByDiskTypeAction;
	TAction* ViewSortByNameAction;
	TAction* ViewSortBySizeAction;
	TAction* ViewSortByWriteProtectedAction;
	TAction* ViewStatusBarAction;
	TAction* ViewToolbarAction;
	TActionList* ActionList1;
	TImageList* ImageList1;
	TImageList* ImageList2;
	TListView* ListView1;
	TMainMenu* MainMenu1;
	TMenuItem* MenuItem11;
	TMenuItem* MenuItem111;
	TMenuItem* MenuItem112;
	TMenuItem* MenuItem113;
	TMenuItem* MenuItem114;
	TMenuItem* MenuItem115;
	TMenuItem* MenuItem116;
	TMenuItem* MenuItem117;
	TMenuItem* MenuItem118;
	TMenuItem* MenuItem119;
	TMenuItem* MenuItem1191;
	TMenuItem* MenuItem1192;
	TMenuItem* MenuItem11A;
	TMenuItem* MenuItem11A1;
	TMenuItem* MenuItem11A2;
	TMenuItem* MenuItem11B;
	TMenuItem* MenuItem11C;
	TMenuItem* MenuItem12;
	TMenuItem* MenuItem121;
	TMenuItem* MenuItem122;
	TMenuItem* MenuItem123;
	TMenuItem* MenuItem124;
	TMenuItem* MenuItem125;
	TMenuItem* MenuItem126;
	TMenuItem* MenuItem127;
	TMenuItem* MenuItem128;
	TMenuItem* MenuItem129;
	TMenuItem* MenuItem13;
	TMenuItem* MenuItem131;
	TMenuItem* MenuItem132;
	TMenuItem* MenuItem133;
	TMenuItem* MenuItem134;
	TMenuItem* MenuItem135;
	TMenuItem* MenuItem1351;
	TMenuItem* MenuItem1352;
	TMenuItem* MenuItem1353;
	TMenuItem* MenuItem1354;
	TMenuItem* MenuItem136;
	TMenuItem* MenuItem137;
	TMenuItem* MenuItem138;
	TMenuItem* MenuItem14;
	TMenuItem* MenuItem141;
	TMenuItem* MenuItem1411;
	TMenuItem* MenuItem1412;
	TMenuItem* MenuItem1413;
	TMenuItem* MenuItem1414;
	TMenuItem* MenuItem142;
	TMenuItem* MenuItem1421;
	TMenuItem* MenuItem1422;
	TMenuItem* MenuItem1423;
	TMenuItem* MenuItem143;
	TMenuItem* MenuItem1431;
	TMenuItem* MenuItem15;
	TMenuItem* MenuItem151;
	TMenuItem* MenuItem152;
	TMenuItem* MenuItem153;
	TMenuItem* MenuItem21;
	TMenuItem* MenuItem22;
	TMenuItem* MenuItem23;
	TMenuItem* MenuItem24;
	TMenuItem* MenuItem25;
	TMenuItem* MenuItem26;
	TMenuItem* MenuItem27;
	TMenuItem* MenuItem28;
	TMenuItem* MenuItem29;
	TMenuItem* MenuItem31;
	TMenuItem* MenuItem32;
	TMenuItem* MenuItem33;
	TPopupMenu* PopupMenu1;
	TPopupMenu* PopupMenu2;
	TStatusBar* StatusBar1;
	TToolBar* ToolBar1;
	TToolButton* ToolButton11;
	TToolButton* ToolButton12;
	TToolButton* ToolButton13;
	TToolButton* ToolButton14;
	TToolButton* ToolButton15;
	TToolButton* ToolButton16;
	TToolButton* ToolButton17;
	TToolButton* ToolButton18;
	TToolButton* ToolButton19;
	TToolButton* ToolButton1A;
	TToolButton* ToolButton1B;
	TToolButton* ToolButton1C;
	TToolButton* ToolButton1D;
	TToolButton* ToolButton1E;
	TToolButton* ToolButton1F;
	TToolButton* ToolButton1G;
	TToolButton* ToolButton1H;
	TToolButton* ToolButton1I;
	TToolButton* ToolButton1J;
	TToolButton* ToolButton1K;
	TToolButton* ToolButton1L;
	TToolButton* ToolButton1M;
	void __fastcall ActionList1Execute(TBasicAction* AAction, bool& AHandled);
	void __fastcall ActionList1Update(TBasicAction* AAction, bool& AHandled);
	void __fastcall FileNewActionExecute(TObject* ASender);
	void __fastcall FileNewActionUpdate(TObject* ASender);
	void __fastcall FileOpenActionExecute(TObject* ASender);
	void __fastcall FileOpenActionUpdate(TObject* ASender);
	void __fastcall FileSaveActionExecute(TObject* ASender);
	void __fastcall FileSaveActionUpdate(TObject* ASender);
	void __fastcall FileSaveAsActionExecute(TObject* ASender);
	void __fastcall FileSaveAsActionUpdate(TObject* ASender);
	void __fastcall FileBackUpActionExecute(TObject* ASender);
	void __fastcall FileBackUpActionUpdate(TObject* ASender);
	void __fastcall FileBackUpOnSaveActionExecute(TObject* ASender);
	void __fastcall FileBackUpOnSaveActionUpdate(TObject* ASender);
	void __fastcall FileAddNewActionExecute(TObject* ASender);
	void __fastcall FileAddNewActionUpdate(TObject* ASender);
	void __fastcall FileAddExistentActionExecute(TObject* ASender);
	void __fastcall FileAddExistentActionUpdate(TObject* ASender);
	void __fastcall FileSaveToSingleFileActionExecute(TObject* ASender);
	void __fastcall FileSaveToSingleFileActionUpdate(TObject* ASender);
	void __fastcall FileSaveToMultipleFilesActionExecute(TObject* ASender);
	void __fastcall FileSaveToMultipleFilesActionUpdate(TObject* ASender);
	void __fastcall FileExitActionExecute(TObject* ASender);
	void __fastcall FileExitActionUpdate(TObject* ASender);
	void __fastcall FileDropFilesActionExecute(TObject* ASender);
	void __fastcall FileDropFilesActionUpdate(TObject* ASender);
	void __fastcall EditUndoActionExecute(TObject* ASender);
	void __fastcall EditUndoActionUpdate(TObject* ASender);
	void __fastcall EditRedoActionExecute(TObject* ASender);
	void __fastcall EditRedoActionUpdate(TObject* ASender);
	void __fastcall EditDeleteActionExecute(TObject* ASender);
	void __fastcall EditDeleteActionUpdate(TObject* ASender);
	void __fastcall EditSelectAllActionExecute(TObject* ASender);
	void __fastcall EditSelectAllActionUpdate(TObject* ASender);
	void __fastcall EditReverseSelectionActionExecute(TObject* ASender);
	void __fastcall EditReverseSelectionActionUpdate(TObject* ASender);
	void __fastcall EditDuplicateActionExecute(TObject* ASender);
	void __fastcall EditDuplicateActionUpdate(TObject* ASender);
	void __fastcall PropertiesNameCopyActionExecute(TObject* ASender);
	void __fastcall PropertiesNameCopyActionUpdate(TObject* ASender);
	void __fastcall PropertiesNamePasteActionExecute(TObject* ASender);
	void __fastcall PropertiesNamePasteActionUpdate(TObject* ASender);
	void __fastcall PropertiesNameEnterActionExecute(TObject* ASender);
	void __fastcall PropertiesNameEnterActionUpdate(TObject* ASender);
	void __fastcall PropertiesWriteProtectedSetToNoActionExecute(TObject* ASender);
	void __fastcall PropertiesWriteProtectedSetToNoActionUpdate(TObject* ASender);
	void __fastcall PropertiesWriteProtectedSetToYesActionExecute(TObject* ASender);
	void __fastcall PropertiesWriteProtectedSetToYesActionUpdate(TObject* ASender);
	void __fastcall PropertiesWriteProtectedToggleActionExecute(TObject* ASender);
	void __fastcall PropertiesWriteProtectedToggleActionUpdate(TObject* ASender);
	void __fastcall PropertiesSizeSumActionExecute(TObject* ASender);
	void __fastcall PropertiesSizeSumActionUpdate(TObject* ASender);
	void __fastcall ViewToolbarActionExecute(TObject* ASender);
	void __fastcall ViewToolbarActionUpdate(TObject* ASender);
	void __fastcall ViewStatusBarActionExecute(TObject* ASender);
	void __fastcall ViewStatusBarActionUpdate(TObject* ASender);
	void __fastcall ViewRowSelectActionExecute(TObject* ASender);
	void __fastcall ViewRowSelectActionUpdate(TObject* ASender);
	void __fastcall ViewSortByNameActionExecute(TObject* ASender);
	void __fastcall ViewSortByNameActionUpdate(TObject* ASender);
	void __fastcall ViewSortByWriteProtectedActionExecute(TObject* ASender);
	void __fastcall ViewSortByWriteProtectedActionUpdate(TObject* ASender);
	void __fastcall ViewSortByDiskTypeActionExecute(TObject* ASender);
	void __fastcall ViewSortByDiskTypeActionUpdate(TObject* ASender);
	void __fastcall ViewSortBySizeActionExecute(TObject* ASender);
	void __fastcall ViewSortBySizeActionUpdate(TObject* ASender);
	void __fastcall ViewReverseOrderActionExecute(TObject* ASender);
	void __fastcall ViewReverseOrderActionUpdate(TObject* ASender);
	void __fastcall ViewMoveUpActionExecute(TObject* ASender);
	void __fastcall ViewMoveUpActionUpdate(TObject* ASender);
	void __fastcall ViewMoveDownActionExecute(TObject* ASender);
	void __fastcall ViewMoveDownActionUpdate(TObject* ASender);
	void __fastcall HelpContentsActionExecute(TObject* ASender);
	void __fastcall HelpContentsActionUpdate(TObject* ASender);
	void __fastcall HelpAboutActionExecute(TObject* ASender);
	void __fastcall HelpAboutActionUpdate(TObject* ASender);
	void __fastcall FormFormAcExecute(TObject* ASender);
	void __fastcall FormFormActionUpdate(TObject* ASender);
	void __fastcall FormStatusBar1AcExecute(TObject* ASender);
	void __fastcall FormStatusBar1ActionUpdate(TObject* ASender);
	void __fastcall ApplicationIdle(TObject* ASender, bool& ADone);
	void __fastcall FormShow(TObject* ASender);
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall ListView1Change(TObject* ASender, TListItem* AItem, TItemChange AChange);
	void __fastcall ListView1ColumnClick(TObject* ASender, TListColumn* AColumn);
	void __fastcall ListView1Data(TObject* ASender, TListItem* AItem);
public:
private:
	static const AnsiString ProgramTitle;
	static const AnsiString FormCaptionFormat;
	static const AnsiString UndoActionCaptionFormat;
	static const AnsiString UndoActionHintFormat;
	static const AnsiString RedoActionCaptionFormat;
	static const AnsiString RedoActionHintFormat;
	static const AnsiString ItemCountStatusFormat;
	static const AnsiString SelectionStatusFormat;
	TFileDropFilesAction* FFileDropFilesAction;
	TListViewShell* FListViewShell;
	TSystemHandler* FSystemHandler;
	TFileHandler* FFileHandler;
	TViewHandler* FViewHandler;
	THelpHandler* FHelpHandler;
	TSettingsHandler* FSettingsHandler;
	TFileDropWatcher* FFileDropWatcher;
	TUpdateNotifier* FUpdateNotifier;
	static AnsiString __fastcall StringToActionCaption(const AnsiString& AString);
	static void __fastcall ClearShortCut(TMenuItem* AMenuItem);
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall LoadSettings();
	void __fastcall SaveSettings();
	void __fastcall HandleCommandLineArguments();
	void __fastcall SystemHandlerChange(TObject* ASender);
	void __fastcall FileHandlerChange(TObject* ASender);
	void __fastcall ViewHandlerChange(TObject* ASender);
	void __fastcall HelpHandlerChange(TObject* ASender);
	void __fastcall SettingsHandlerChange(TObject* ASender);
	void __fastcall FileDropWatcherDrop(TObject* ASender, TDroppedFiles* AFiles, bool& AHandled);
	void __fastcall UpdateNotifierUpdate(TObject* ASender);
	__property TFileDropFilesAction* FileDropFilesAction = {read=FFileDropFilesAction};
	__property TListViewShell* ListViewShell = {read=FListViewShell};
	__property TSystemHandler* SystemHandler = {read=FSystemHandler};
	__property TFileHandler* FileHandler = {read=FFileHandler};
	__property TViewHandler* ViewHandler = {read=FViewHandler};
	__property THelpHandler* HelpHandler = {read=FHelpHandler};
	__property TSettingsHandler* SettingsHandler = {read=FSettingsHandler};
	__property TFileDropWatcher* FileDropWatcher = {read=FFileDropWatcher};
	__property TUpdateNotifier* UpdateNotifier = {read=FUpdateNotifier};
protected:
public:
	__fastcall TAppMainForm(TComponent* AOwner);
	virtual __fastcall ~TAppMainForm();
	DYNAMIC bool __fastcall IsShortCut(TWMKey& AMessage);
};
//---------------------------------------------------------------------------
extern PACKAGE TAppMainForm* AppMainForm;
//---------------------------------------------------------------------------
#endif

